Subject: Re: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: Michael Welsh Duggan <[email-masked]>
Date: Tue, 30 Mar 2021 10:13:40 -0400

martin rudalics <[email-masked]> writes:

>  > I sincerely hope that question is more addressed to Eli than to me, as I
>  > have no idea.
>
> Don't worry, it was only a rhetoric question.
>
>  > I'm more than happy to run with different breakpoints
>  > and/or debugging code inserted.
>
> The attached is an attempt to catch the condition where the selected
> window's buffer is dead in a couple of strategic places.  Please run
> with it in an unoptimized Emacs and wait till an assertion triggers.
> Yet another shot in the dark but I have no better idea.

The breakpoint I put on the error() clause added to buffer.c triggered
again in the new build without touching any of the easserts.

-- 
Michael Welsh Duggan
([email-masked])